> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Export Report

> Request export of trades or ledgers.



## OpenAPI

````yaml Crypto post /requestExportReport
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /requestExportReport:
    post:
      tags:
        - private
      summary: Request Export Report
      description: Request export of trades or ledgers.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: integer
                  description: '(Required) '
                  example: 75100193
                report:
                  type: string
                  description: (Required) Type of data to export
                  example: trades
                description:
                  type: string
                  description: (Required) Description for the export
                  example: laboris i
                format:
                  type: string
                  description: File format to export
                  example: CSV
                fields:
                  type: string
                  description: >
                    Comma-delimited list of fields to include


                    * `trades`: ordertxid, time, ordertype, price, cost, fee,
                    vol, margin, misc, ledgers

                    * `ledgers`: refid, time, type, aclass, asset, amount, fee,
                    balance
                  example: all
                starttm:
                  type: integer
                  description: >-
                    UNIX timestamp for report start time (default 1st of the
                    current month)
                  example: 75322482
                endtm:
                  type: string
                  description: UNIX timestamp for report end time (default now)
                  example: '-65934851'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  id: TCJA
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````